1 Reply Latest reply: Jul 1, 2013 2:54 PM by mwarner RSS

    11 11/11/11, 11.1 and HP Smart Arrays

    drookie
      Hi.

      Does anyone have a luck with HP SmartArrays on HP servers and Solaris 11 (besides me) ?

      First some lifehacks (seem pretty obvious, but took some time for me to figure out):

      - though HP has "support pending" (and I hope it will pend to the right side) for Solaris 11, Solaris 10 packages (and even drivers) work ptretty well on Solaris 11.0, for example hpacucli
      - HP still supports Solaris 10, you can event get latest hpacucli (and some other tools) by googling any version on the HP site, and clicking "Revision History" - latest version will be on top
      - this way you can get a 9.0.x version of Solaris 10 hpacucli (and it's working !), but starting from version bigger than 8.25 hpacucli needs /etc/lvm/md.cf (even empty file helps, otherwise hpacucli gets SIG11 and dies, so just create it.)

      so, to my question:

      Starting from 11.1 this technique doesn't work - hpacucli just prints "no controllers detected" and that's all. I tested this on 8.25 version. I tested a bunch of firmwares - no connection to it.
      Does anyone know - is this some broken/deprecated ABI or something that could be fixed ?

      Thanks.

      P.S. Would be nice if some Oracle guys will "leak" some inside information about HP and the future of support status.

      Edited by: drookie on 24.02.2013 22:45